GOSH(version 0.8.11)

NAME
gauche-config - retrieve configuration parameters of Gauche

SYNOPSIS
gauche-config option

DESCRIPTION
Gauche-config displays various parameters specified at the configuration time of the Gauche Scheme implementation. It can be used in Makefile and other configuration scripts that uses Gauche.

OPTIONS

  General parameters

-V  Gauche version.

--reconfigure
    Prints the command line used to configure the current Gauche installation.

  Parameters to compile an application using Gauche

-I, -L, -l
    List of "-I" options (include directories), "-L" options (library directories), and "-l" options (libraries) for the compiler which are required to compile applications that links Gauche library.

--cc
    Name of the compiler used to compile the current installation.

--ac
    Directory name that contains Gauche specific autoconf macro.

--arch
    The architecture signature, which is used in the pathname of architecture-dependent files, e.g. "i686-pc-linux-gnu".

  Parameters to install files

--syslibdir, --sitelibdir
    Directories where system/site scheme files go.

--sysarchdir, --sitearchdir
    Directories where architecture-dependent system/site files go.

--sysincdir, --siteincdir
    Directories where system/site header files of extensions go.

--mandir, --infodir
    Directories where gauche manpage and info docs are installed.

Parameters to compile Gauche extention

--so-suffix
    Object file suffix of the gauche extension.

--so-cflags
    Flags required to compile shared object.

--so-ldflags
    Flags required to link a gauche extension.

--so-libs
    Libraries to be linked with a gauche extension.

--dylib-suffix
    Dynamic/shared library file suffix of the system.

--dylib-ldflags
    Flags required to link dynamic/shared library file.

--libgauche-so
    The name of shared library of libgauche.

AUTHORS
Shiro Kawai (shiro @ acm . org)

SEE ALSO
gosh(1)

Gauche Scheme interpreter:
http://practical-scheme.net/gauche/